# `CONSFIGURATOR.PROPERTY.CRYPTTAB`

## API reference

### Properties

#### Property: `CRYPTTAB:HAS-ENTRIES`

`(crypttab:has-entries &rest entries)`

Ensure that /etc/crypttab contains each of ENTRIES, using a simple merge procedure: existing lines of the crypttab with the same mapped device name as any of ENTRIES are updated to match the corresponding members of ENTRIES, except that if the second field of the existing entry is not “none” and the corresponding member of ENTRIES is “none” or “PLACEHOLDER”, use the existing field value.

#### Property: `CRYPTTAB:HAS-ENTRIES-FOR-OPENED-VOLUMES`

`(crypttab:has-entries-for-opened-volumes)`

Add or update entries in /etc/crypttab for currently open volumes.

This is used when building disk images and installing operating systems.